Bug 1011763 - Review Request: mozilla-fira-fonts - Mozilla's Fira font
Review Request: mozilla-fira-fonts - Mozilla's Fira font
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-25 01:55 EDT by Ricky Elrod
Modified: 2014-02-18 11:27 EST (History)
5 users (show)

See Also:
Fixed In Version: mozilla-fira-fonts-2.001-0.2.20130925.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-26 23:55:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Ricky Elrod 2013-09-25 01:55:31 EDT
Spec URL: http://fedorapeople.org/~codeblock/packages/mozilla-fira-fonts/mozilla-fira-fonts.spec
SRPM URL: http://fedorapeople.org/~codeblock/packages/mozilla-fira-fonts/mozilla-fira-fonts-0.20130925-1.fc19.src.rpm
Description: Mozilla's new Fira font (http://mozilla.github.io/Fira/)
Fedora Account System Username: codeblock

This is my first font package, so it might need some work.
Comment 1 Christopher Meng 2013-09-25 04:01:26 EDT
You shouldn't use %define.
Comment 3 Parag AN(पराग) 2013-10-21 03:22:36 EDT
Can you add font information to https://fedoraproject.org/wiki/Category:In-progress_fonts by creating new wiki page?
Comment 4 Parag AN(पराग) 2013-10-21 13:12:39 EDT
1) simple way to find font information is to use following command
otfinfo -i *.otf | grep Version

so you got version as 2.001 but as some upstream keep releasing snapshots either adding date in archive name or publishes date on upstream URL, you need to use release tag as 
0.%{X}.%{alphatag}

this way even if upstream fails to bump the release in font file and keep releasing updated tarballs, package can be updated.

your package n-v-r then mozilla-fira-fonts-2.001-0.1.20130925.fc19

2) cp commands should preserve timestamps of files being copied from source archive. Use "cp -p"

3) if this package is only for Fedora then remove Group tag
Comment 6 Ricky Elrod 2013-10-21 14:16:25 EDT
I added the wiki page, but I'm not entirely sure what to put for some of the fields (in the table which I copied from other pages in that category).

https://fedoraproject.org/wiki/Mozilla_Fira_fonts

Feel free to edit it, and I apologize if I got any of it wrong.
Comment 7 Parag AN(पराग) 2013-10-22 00:13:29 EDT
1) Following comment should be before Source0: line
# Upstream tarball is not versioned. See the "Downloads" section of %%{url}.

also add upstream does not provide direct download link

2) Add some comment for Source3:, from where you got the license file or its information 
OR you can say its standard OFL license text included as fira.LICENSE file

3) Group: tag is not necessary if you are planning this package only for Fedora releases. Please remove it.

4) Add the correct changelog

I have added some information to wiki page of this font.
Comment 8 Ricky Elrod 2013-10-22 15:45:48 EDT
Hah, whoops - missed the Group tag on the subpackages.
Fixed that and made the other corrections.

Spec URL: http://fedorapeople.org/~codeblock/packages/mozilla-fira-fonts/mozilla-fira-fonts.spec
SRPM URL: http://fedorapeople.org/~codeblock/packages/mozilla-fira-fonts/mozilla-fira-fonts-2.001-0.2.20130925.fc20.src.rpm
Comment 9 Parag AN(पराग) 2013-10-23 01:09:27 EDT
only last thing is keep same summary wording in spec as well as in this bug title summary.

APPROVED.
Comment 10 Ricky Elrod 2013-10-23 10:10:24 EDT
Thanks - I will make that last change to the spec when I import.

New Package SCM Request
=======================
Package Name: mozilla-fira-fonts
Short Description: Mozilla's Fira font
Owners: codeblock
Branches: f19 f20
InitialCC:
Comment 11 Gwyn Ciesla 2013-10-23 10:17:11 EDT
Git done (by process-git-requests).
Comment 12 Fedora Update System 2013-10-24 13:59:21 EDT
mozilla-fira-fonts-2.001-0.2.20130925.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/mozilla-fira-fonts-2.001-0.2.20130925.fc20
Comment 13 Fedora Update System 2013-10-24 14:15:13 EDT
mozilla-fira-fonts-2.001-0.2.20130925.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/mozilla-fira-fonts-2.001-0.2.20130925.fc19
Comment 14 Fedora Update System 2013-10-25 20:59:27 EDT
mozilla-fira-fonts-2.001-0.2.20130925.fc19 has been pushed to the Fedora 19 testing repository.
Comment 15 Fedora Update System 2013-10-26 23:55:56 EDT
mozilla-fira-fonts-2.001-0.2.20130925.fc19 has been pushed to the Fedora 19 stable repository.
Comment 16 Fedora Update System 2013-10-27 01:30:05 EDT
mozilla-fira-fonts-2.001-0.2.20130925.fc19 has been pushed to the Fedora 19 stable repository.
Comment 17 Fedora Update System 2013-11-10 02:07:38 EST
mozilla-fira-fonts-2.001-0.2.20130925.fc20 has been pushed to the Fedora 20 stable repository.
Comment 18 Paul Flo Williams 2014-02-18 10:55:26 EST
Package Change Request
======================
Package Name: mozilla-fira-fonts
Branches: f19 f20 devel
InitialCC: fonts-sig

I'd like the Fonts SIG to be notified of changes to this package in all active branches.
Comment 19 Gwyn Ciesla 2014-02-18 11:27:09 EST
Complete.

Note You need to log in before you can comment on or make changes to this bug.